Bug 1509201 - [ceph-ansible] cluster deployment fails when mon_group_name and osd_group_name are changed
Summary: [ceph-ansible] cluster deployment fails when mon_group_name and osd_group_nam...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 4.0
Assignee: Guillaume Abrioux
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1354700 1494421
TreeView+ depends on / blocked
 
Reported: 2017-11-03 10:37 UTC by Madhavi Kasturi
Modified: 2019-09-27 11:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.Ansible fails to install clusters that use custom group names in the Ansible inventory file When the default values of the `mon_group_name` and `osd_group_name` parameters are changed in the `all.yml` file, Ansible fails to install a Ceph cluster. To avoid this issue, do not use custom group names in the Ansible inventory file by changing `mon_group_name` and `osd_group_name`.
Clone Of:
Environment:
Last Closed: 2019-09-27 07:57:16 UTC


Attachments (Terms of Use)
ceph-ansible playbook log with -vvvv (337.29 KB, text/plain)
2017-11-03 10:37 UTC, Madhavi Kasturi
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4284 None None None 2019-09-27 07:57:15 UTC

Description Madhavi Kasturi 2017-11-03 10:37:21 UTC
Created attachment 1347239 [details]
ceph-ansible playbook log with -vvvv

Description of problem:
Cluster deployment fails, on changing the mon_group_name and osd_group_name in the all.yml

Version-Release number of selected component (if applicable):
[admin@dell-r730-014 ceph-ansible]$ rpm -qa | grep ansible
ansible-2.4.0.0-5.el7.noarch
ceph-ansible-3.0.8-1.el7cp.noarch

How reproducible:
2/2

Steps to Reproduce:
1. Changed the mon_group_name and osd_group_name in all.yml
2. issued ansible-playbook site.yml to deploy the cluster
3. The cluster creation fails with below error
TASK [ceph-mgr : copy mgr key] ************************************************************************************************************************************************************************************
fatal: [dell-r730-014]: FAILED! => {"changed": false, "failed": true, "msg": "Could not find or access '~/ceph-ansible-keys/bf4867e8-3682-4443-a2ea-b75c5898887b/etc/ceph/ceph.mgr.dell-r730-014.keyring'"}
An exception occurred during task execution. To see the full traceback, use -vvv. The error was: AnsibleFileNotFound: Could not find or access '~/ceph-ansible-keys/bf4867e8-3682-4443-a2ea-b75c5898887b/etc/ceph/ceph.mgr.dell-r730-026.keyring'
fatal: [dell-r730-026]: FAILED! => {"changed": false, "failed": true, "msg": "Could not find or access '~/ceph-ansible-keys/bf4867e8-3682-4443-a2ea-b75c5898887b/etc/ceph/ceph.mgr.dell-r730-026.keyring'"}
An exception occurred during task execution. To see the full traceback, use -vvv. The error was: AnsibleFileNotFound: Could not find or access '~/ceph-ansible-keys/bf4867e8-3682-4443-a2ea-b75c5898887b/etc/ceph/ceph.mgr.dell-r730-030.keyring'
fatal: [dell-r730-030]: FAILED! => {"changed": false, "failed": true, "msg": "Could not find or access '~/ceph-ansible-keys/bf4867e8-3682-4443-a2ea-b75c5898887b/etc/ceph/ceph.mgr.dell-r730-030.keyring'"}

RUNNING HANDLER [ceph-defaults : copy mon restart script] ********************************************************************************************************************************************************

Actual results:
The cluster deployment fails

Expected results:
The cluster deployment should succeed

Additional info:

snippet of ansible output with -vvvv
The full traceback is:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/ansible/plugins/action/copy.py", line 457, in run
    source = self._find_needle('files', source)
  File "/usr/lib/python2.7/site-packages/ansible/plugins/action/__init__.py", line 983, in _find_needle
    return self._loader.path_dwim_relative_stack(path_stack, dirname, needle)
  File "/usr/lib/python2.7/site-packages/ansible/parsing/dataloader.py", line 386, in path_dwim_relative_stack
    raise AnsibleFileNotFound(file_name=source, paths=[to_text(p) for p in search])
AnsibleFileNotFound: Could not find or access '~/ceph-ansible-keys/bf4867e8-3682-4443-a2ea-b75c5898887b/etc/ceph/ceph.mgr.dell-r730-026.keyring'

fatal: [dell-r730-026]: FAILED! => {
    "changed": false, 
    "failed": true, 
    "msg": "Could not find or access '~/ceph-ansible-keys/bf4867e8-3682-4443-a2ea-b75c5898887b/etc/ceph/ceph.mgr.dell-r730-026.keyring'"
}

Comment 5 leseb 2017-11-13 11:15:36 UTC
Bara, description is good, thanks.

Comment 9 Giridhar Ramaraju 2019-08-05 13:09:27 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 10 Giridhar Ramaraju 2019-08-05 13:10:43 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.